cURL
curl --request POST \
--url https://www.norns.ai/api/v0/summarize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'content=<string>' \
--form 'file=<string>' \
--form 'targetLanguage=<string>' \
--form maxLength=123 \
--form 0.file='@example-file' \
--form 1.file='@example-file'import requests
url = "https://www.norns.ai/api/v0/summarize"
files = {
"0.file": ("example-file", open("example-file", "rb")),
"1.file": ("example-file", open("example-file", "rb"))
}
payload = {
"content": "<string>",
"file": "<string>",
"targetLanguage": "<string>",
"maxLength": "123"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('content', '<string>');
form.append('file', '<string>');
form.append('targetLanguage', '<string>');
form.append('maxLength', '123');
form.append('0.file', '{
"fileName": "example-file"
}');
form.append('1.file', '{
"fileName": "example-file"
}');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://www.norns.ai/api/v0/summarize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"summary": "<string>",
"sentences": [
{
"text": "<string>",
"startIndex": 123,
"endIndex": 123
}
],
"usage": 123,
"originalLanguage": "<string>",
"targetLanguage": "<string>",
"tokenCount": 123
}
}{
"error": "<string>"
}{
"error": "<string>"
}API Reference
Post summarize
Summarizes text content or documents. Costs 2 credits per 10,000 tokens.
POST
/
summarize
cURL
Authorizations
API key authentication
Body
multipart/form-data
⌘I

